import { PredIndexed } from './_types';
/**
 * Splits a collection into sets, grouped by the result of running each value through `fn`.
 * @param items the items to group
 * @param fn the grouping function
 * @signature
 *    R.groupBy(array, fn)
 * @example
 *    R.groupBy(['one', 'two', 'three'], x => x.length) // => {3: ['one', 'two'], 5: ['three']}
 * @data_first
 * @indexed
 * @category Array
 */
export declare function groupBy<T>(items: T[], fn: (item: T) => any): Record<string, T[]>;
export declare function groupBy<T>(fn: (item: T) => any): (array: T[]) => Record<string, T[]>;
export declare namespace groupBy {
    function indexed<T, K>(array: T[], fn: PredIndexed<T, any>): Record<string, T[]>;
    function indexed<T, K>(fn: PredIndexed<T, any>): (array: T[]) => Record<string, T[]>;
}
//# sourceMappingURL=groupBy.d.ts.map