import { pick } from './pick';
import { pipe } from './pipe';
describe('data first', function () {
    test('it should pick props', function () {
        var result = pick({ a: 1, b: 2, c: 3, d: 4 }, ['a', 'd']);
        expect(result).toEqual({ a: 1, d: 4 });
    });
    test('allow undefined or null', function () {
        expect(pick(undefined, ['foo'])).toEqual({});
        expect(pick(null, ['foo'])).toEqual({});
    });
});
describe('data last', function () {
    test('it should pick props', function () {
        var result = pipe({ a: 1, b: 2, c: 3, d: 4 }, pick(['a', 'd']));
        expect(result).toEqual({ a: 1, d: 4 });
    });
});
