### Mapping for Lodash and Ramda


| Remeda         | Lodash         | Ramda               |
| -------------- | -------------- | ------------------- |
| `addProp`      | `set`          | `set`               |
| `allPass`      | `-`            | `allPass`           |
| `anyPass`      | `-`            | `anyPass`           |
| `chunk`        | `chunk`        | `-`                 |
| `clamp`        | `clamp`        | `clamp`             |
| `clone`        | `clone`        | `clone`             |
| `compact`      | `compact`      | `-`                 |
| `concat`       | `concat`       | `concat`            |
| `createPipe`   | `-`            | `-`                 |
| `difference`   | `difference`   | `difference`        |
| `drop`         | `drop`         | `drop`              |
| `dropLast`     | `dropRight`    | `dropLast`          |
| `equals`       | `isEqual`      | `equals`            |
| `filter`       | `filter`       | `filter`            |
| `find`         | `find`         | `find`              |
| `findIndex`    | `findIndex`    | findIndex`          |
| `first`        | `head`         | `head`              |
| `flatMap`      | `flatMap`      | `-`                 |
| `flatten`      | `flatten`      | `flatten`           |
| `flattenDeep`  | `flattenDeep`  | `flatten`           |
| `forEach`      | `forEach`      | `forEach`           |
| `forEachObj`   | `forEach`      | `forEachObjIndexed` |
| `groupBy`      | `groupBy`      | `groupBy`           |
| `indexBy`      | `keyBy`        | `indexBy`           |
| `intersection` | `intersection` | `intersection`      |
| `last`         | `last`         | `last`              |
| `map`          | `map`          | `map`               |
| `mapKeys`      | `mapKeys`      | `-`                 |
| `merge`        | `merge`        | `merge`             |
| `mergeAll`     | `merge`        | `mergeAll`          |
| `noop`         | `noop`         | `-`                 |
| `objOf`        | `-`            | `objOf`             |
| `omit`         | `omit`         | `omit`              |
| `once`         | `once`         | `once`              |
| `pathOr`       | `get`          | `pathOr`            |
| `pick`         | `pick`         | `pick`              |
| `pipe`         | `flow`         | `pipe`              |
| `prop`         | `get`          | `prop`              |
| `purry`        | `-`            | `-`                 |
| `randomString` | `-`            | `-`                 |
| `range`        | `range`        | `range`             |
| `reduce`       | `reduce`       | `reduce`            |
| `reject`       | `reject`       | `reject`            |
| `set`          | `set`          | `set`               |
| `sort`         | `-`            | `sort`              |
| `sortBy`       | `sortBy`       | `sortBy`            |
| `splitAt`      | `-`            | `splitAt`           |
| `splitWhen`    | `-`            | `splitWhen`         |
| `take`         | `take`         | `take`              |
| `takeWhile`    | `takeWhile`    | `takeWhile`         |
| `times`        | `times`        | `times`             |
| `toPairs`      | `toPairs`      | `toPairs`           |
| `type`         | `-`            | `type`              |
| `uniq`         | `uniq`         | `uniq`              |